IF OBJECT_ID('tempdb..#tempPressure') IS NOT NULL DROP TABLE #tempPressure
GO

SELECT TemperatureListNewID, SysPressureRight, DiaPressureRight 
INTO #tempPressure 
FROM akuz.T_TEMPERATURE_LIST_NEW 
WHERE DiaPressureRight IS NOT NULL OR SysPressureRight IS NOT NULL

UPDATE AKUZ.T_TEMPERATURE_LIST_NEW 
SET SysPressureRight = NULL, DiaPressureRight = NULL

ALTER TABLE [AKUZ].[T_TEMPERATURE_LIST_NEW] ALTER COLUMN [DiaPressureRight] int NULL
GO
ALTER TABLE [AKUZ].[T_TEMPERATURE_LIST_NEW] ALTER COLUMN [SysPressureRight] int NULL
GO

UPDATE tempListnew
SET SysPressureRight = TRY_CAST(tempTable.SysPressureRight AS int) , DiaPressureRight = TRY_CAST(tempTable.DiaPressureRight AS int)
FROM #tempPressure tempTable
JOIN akuz.T_TEMPERATURE_LIST_NEW tempListnew
ON tempListnew.TemperatureListNewID = tempTable.TemperatureListNewID